package electrosphere.game.server.character;

import electrosphere.game.server.character.diety.Diety;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;

public class Character {
    static int character_id_iterator = 0;
    
    int id;
    
    HashMap<String,Object> data = new HashMap();
    
    LinkedList<String> dataKeys = new LinkedList();

    
    
    public int getId() {
        return id;
    }
    
    public void setId(int id){
        this.id = id;
    }
    
    public void putData(String key, Object o){
        data.put(key,o);
        dataKeys.add(key);
    }
    
    public List<String> getDataKeys(){
        return dataKeys;
    }
    
    public Object getData(String key){
        return data.get(key);
    }
    
    public Character(){
        
    }
    
}
